
CoCoA-5 - Feature #372

add IsFactorClosed

17 Jun 2013 11:18 - Anna Maria Bigatti

Status: Closed Start date: 17 Jun 2013
Assignee: John Abbott % Done: 100%

Category: CoCoA-5 function: new Estimated time: 0.00 hour

Target version: CoCoA-5.0.9 Spent time: 4.75 hours

Description

History

#1 - 17 Jun 2013 14:31 - John Abbott

- Category set to CoCoA-5 function: new

- Status changed from New to Feedback

- % Done changed from 10 to 90

Added a reasonable impl of IsFactorClosed to the package monomial_ideals.cpkg5.

Added doc to CoCoAManual.

#2 - 24 Feb 2014 18:13 - John Abbott

The impl is quite short; move it to C++ (might even be faster?)

#3 - 25 Feb 2014 15:40 - John Abbott

Implemented in C++ (inside PPMonoid.H and PPMonoid.C); it is faster.

Documented.

Also available in C5 now -- removed impl from monomial_ideals.cpkg5

#4 - 03 Mar 2014 19:21 - Anna Maria Bigatti

In the manual we can have

/**/  IsFactorClosed([1, x, x^2]);

(instead of one(P))  ok ok I'll write the documentation for BuiltInFunctions    

There is a problem for

/**/  IsFactorClosed([]);

27 Apr 2024 1/2



#5 - 03 Mar 2014 22:14 - John Abbott

Hey!  Have you been talking to Elisa Businelli again?

Fixed the case of an empty list -- it gives true (same as the C++ version), is that correct?

[will check in asap]

#6 - 04 Mar 2014 09:58 - John Abbott

Now I'm unsure whether IsFactorClosed([]) should return true or give error.

This morning I'm more inclined to favour an error: when could it ever be useful to apply IsFactorClosed to an empty list?

Comments?  Opinions?  Ideas?

I've also fixed IsFactorClosed([1]) which always gives true (even if no polynomial ring has yet been created).

#7 - 05 Mar 2014 15:26 - John Abbott

After talking to Anna about my doubt, we have decided that an empty list in input should produce an error (as it seems quite unlikely that someone

really would want to test an empty list for being factor closed).

Also modified the CoCoALib impl, and the doc.

#8 - 21 Mar 2014 11:35 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

no more problems have arisen.  closing.
